Package org.eclipse.viatra.query.runtime.rete.matcher

## Class ReteBackendFactoryProvider

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.matcher.ReteBackendFactoryProvider

- All Implemented Interfaces:
    `IQueryBackendFactoryProvider`

      public class ReteBackendFactoryProvider
      extends java.lang.Object
      implements IQueryBackendFactoryProvider

  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReteBackendFactoryProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IQueryBackendFactory` | `getFactory()` | Returns a query backend factory instance.
    `boolean` | `isSystemDefaultCachingBackend()` | Returns whether the given query backend should be considered as system default caching backend.
    `boolean` | `isSystemDefaultEngine()` | Returns whether the given query backend should be considered as system default.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.matchers.backend.IQueryBackendFactoryProvider

      `isSystemDefaultSearchBackend`

- - ### Constructor Detail

    - #### ReteBackendFactoryProvider

          public ReteBackendFactoryProvider()

  - ### Method Detail

    - #### getFactory

          public IQueryBackendFactory getFactory()

      Description copied from interface: `IQueryBackendFactoryProvider`
      Returns a query backend factory instance. The method should return the same instance in case of repeated calls.
      Specified by:
        `getFactory` in interface `IQueryBackendFactoryProvider`

    - #### isSystemDefaultEngine

          public boolean isSystemDefaultEngine()

      Description copied from interface: `IQueryBackendFactoryProvider`
      Returns whether the given query backend should be considered as system default. If multiple backends are registered as system default, it is undefined which one will be chosen.
      Specified by:
        `isSystemDefaultEngine` in interface `IQueryBackendFactoryProvider`

    - #### isSystemDefaultCachingBackend

          public boolean isSystemDefaultCachingBackend()

      Description copied from interface: `IQueryBackendFactoryProvider`
      Returns whether the given query backend should be considered as system default caching backend. If multiple backends are registered as system default, it is undefined which one will be chosen.
      Specified by:
        `isSystemDefaultCachingBackend` in interface `IQueryBackendFactoryProvider`